Index: src/edu/ucsb/nceas/metacat/Eml200SAXHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/Eml200SAXHandler.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/Eml200SAXHandler.java	(revision 2663)
@@ -2792,45 +2779,43 @@
                 attriNode = (NodeRecord) unchangableNodeStack.pop();
 
             } catch (EmptyStackException ee) {
-                MetaCatUtil.debugMessage(
-                        "Node stack is empty for attribute data", 35);
+                logMetacat.error(
+                        "Node stack is empty for attribute data");
                 throw new SAXException(error);
             }
             String attributeName = attributes.getQName(i);
             String attributeValue = attributes.getValue(i);
-            MetaCatUtil.debugMessage(
-                    "current node type from xml is ATTRIBUTE ", 40);
-            MetaCatUtil.debugMessage("node type from stack: "
-                    + attriNode.getNodeType(), 40);
-            MetaCatUtil.debugMessage("current node name from xml is: "
-                    + attributeName, 40);
-            MetaCatUtil.debugMessage("node name from stack: "
-                    + attriNode.getNodeName(), 40);
-            MetaCatUtil.debugMessage("current node data from xml is: "
-                    + attributeValue, 40);
-            MetaCatUtil.debugMessage("node data from stack: "
-                    + attriNode.getNodeData(), 40);
-            MetaCatUtil.debugMessage("node id  is: " + attriNode.getNodeId(),
-                    40);
+            logMetacat.info(
+                    "current node type from xml is ATTRIBUTE ");
+            logMetacat.info("node type from stack: "
+                    + attriNode.getNodeType());
+            logMetacat.info("current node name from xml is: "
+                    + attributeName);
+            logMetacat.info("node name from stack: "
+                    + attriNode.getNodeName());
+            logMetacat.info("current node data from xml is: "
+                    + attributeValue);
+            logMetacat.info("node data from stack: "
+                    + attriNode.getNodeData());
+            logMetacat.info("node id  is: " + attriNode.getNodeId());
 
             if (!attriNode.getNodeType().equals("ATTRIBUTE")
                     || !attributeName.equals(attriNode.getNodeName())
                     || !attributeValue.equals(attriNode.getNodeData())) {
-                MetaCatUtil.debugMessage("Inconsistence happend: ", 40);
-                MetaCatUtil.debugMessage(
-                        "current node type from xml is ATTRIBUTE ", 40);
-                MetaCatUtil.debugMessage("node type from stack: "
-                        + attriNode.getNodeType(), 40);
-                MetaCatUtil.debugMessage("current node name from xml is: "
-                        + attributeName, 40);
-                MetaCatUtil.debugMessage("node name from stack: "
-                        + attriNode.getNodeName(), 40);
-                MetaCatUtil.debugMessage("current node data from xml is: "
-                        + attributeValue, 40);
-                MetaCatUtil.debugMessage("node data from stack: "
-                        + attriNode.getNodeData(), 40);
-                MetaCatUtil.debugMessage("node is: " + attriNode.getNodeId(),
-                        40);
+                logMetacat.info("Inconsistence happend: ");
+                logMetacat.info(
+                        "current node type from xml is ATTRIBUTE ");
+                logMetacat.info("node type from stack: "
+                        + attriNode.getNodeType());
+                logMetacat.info("current node name from xml is: "
+                        + attributeName);
+                logMetacat.info("node name from stack: "
+                        + attriNode.getNodeName());
+                logMetacat.info("current node data from xml is: "
+                        + attributeValue);
+                logMetacat.info("node data from stack: "
+                        + attriNode.getNodeData());
+                logMetacat.info("node is: " + attriNode.getNodeId());
                 throw new SAXException(error);
             }
         }//for
@@ -2846,35 +2831,32 @@
         try {
             node = (NodeRecord) nodeStack.pop();
         } catch (EmptyStackException ee) {
-            MetaCatUtil.debugMessage(
-                    "Node stack is empty for text data in startElement", 35);
+            logMetacat.error(
+                    "Node stack is empty for text data in startElement");
             throw new SAXException(error);
         }
-        MetaCatUtil.debugMessage(
-                "current node type from xml is TEXT in start element", 40);
-        MetaCatUtil.debugMessage("node type from stack: " + node.getNodeType(),
-                40);
-        MetaCatUtil.debugMessage("current node data from xml is: "
-                + text.toString(), 40);
-        MetaCatUtil.debugMessage("node data from stack: " + node.getNodeData(),
-                40);
-        MetaCatUtil.debugMessage("node name from stack: " + node.getNodeName(),
-                40);
-        MetaCatUtil.debugMessage("node is: " + node.getNodeId(), 40);
+        logMetacat.info(
+                "current node type from xml is TEXT in start element");
+        logMetacat.info("node type from stack: " + node.getNodeType());
+        logMetacat.info("current node data from xml is: "
+                + text.toString());
+        logMetacat.info("node data from stack: " + node.getNodeData());
+        logMetacat.info("node name from stack: " + node.getNodeName());
+        logMetacat.info("node is: " + node.getNodeId());
         if (!node.getNodeType().equals("TEXT")
                 || !(text.toString()).equals(node.getNodeData())) {
-            MetaCatUtil.debugMessage("Inconsistence happend: ", 40);
-            MetaCatUtil.debugMessage(
-                    "current node type from xml is TEXT in start element", 40);
-            MetaCatUtil.debugMessage("node type from stack: "
-                    + node.getNodeType(), 40);
-            MetaCatUtil.debugMessage("current node data from xml is: "
-                    + text.toString(), 40);
-            MetaCatUtil.debugMessage("node data from stack: "
-                    + node.getNodeData(), 40);
-            MetaCatUtil.debugMessage("node name from stack: "
-                    + node.getNodeName(), 40);
-            MetaCatUtil.debugMessage("node is: " + node.getNodeId(), 40);
+            logMetacat.info("Inconsistence happend: ");
+            logMetacat.info(
+                    "current node type from xml is TEXT in start element");
+            logMetacat.info("node type from stack: "
+                    + node.getNodeType());
+            logMetacat.info("current node data from xml is: "
+                    + text.toString());
+            logMetacat.info("node data from stack: "
+                    + node.getNodeData());
+            logMetacat.info("node name from stack: "
+                    + node.getNodeName());
+            logMetacat.info("node is: " + node.getNodeId());
             throw new SAXException(error);
         }//if
     }
@@ -2887,31 +2869,26 @@
         try {
             node = (NodeRecord) nodeStack.pop();
         } catch (EmptyStackException ee) {
-            MetaCatUtil.debugMessage("the stack is empty for comment data", 32);
+            logMetacat.error("the stack is empty for comment data");
             throw new SAXException(error);
         }
-        MetaCatUtil.debugMessage("current node type from xml is COMMENT", 40);
-        MetaCatUtil.debugMessage("node type from stack: " + node.getNodeType(),
-                40);
-        MetaCatUtil
-                .debugMessage("current node data from xml is: " + string, 40);
-        MetaCatUtil.debugMessage("node data from stack: " + node.getNodeData(),
-                40);
-        MetaCatUtil.debugMessage("node is from stack: " + node.getNodeId(), 40);
+        logMetacat.info("current node type from xml is COMMENT");
+        logMetacat.info("node type from stack: " + node.getNodeType());
+        logMetacat.info("current node data from xml is: " + string);
+        logMetacat.info("node data from stack: " + node.getNodeData());
+        logMetacat.info("node is from stack: " + node.getNodeId());
         // if not consistent terminate program and throw a exception
         if (!node.getNodeType().equals("COMMENT")
                 || !string.equals(node.getNodeData())) {
-            MetaCatUtil.debugMessage("Inconsistence happend: ", 40);
-            MetaCatUtil.debugMessage("current node type from xml is COMMENT",
-                    40);
-            MetaCatUtil.debugMessage("node type from stack: "
-                    + node.getNodeType(), 40);
-            MetaCatUtil.debugMessage(
-                    "current node data from xml is: " + string, 40);
-            MetaCatUtil.debugMessage("node data from stack: "
-                    + node.getNodeData(), 40);
-            MetaCatUtil.debugMessage("node is from stack: " + node.getNodeId(),
-                    40);
+            logMetacat.info("Inconsistence happend: ");
+            logMetacat.info("current node type from xml is COMMENT");
+            logMetacat.info("node type from stack: "
+                    + node.getNodeType());
+            logMetacat.info(
+                    "current node data from xml is: " + string);
+            logMetacat.info("node data from stack: "
+                    + node.getNodeData());
+            logMetacat.info("node is from stack: " + node.getNodeId());
             throw new SAXException(error);
         }//if
     }
@@ -2924,23 +2901,21 @@
        try {
            node = (NodeRecord) nodeStack.pop();
        } catch (EmptyStackException ee) {
-           MetaCatUtil.debugMessage("the stack is empty for whitespace data",
-                   32);
+           logMetacat.error("the stack is empty for whitespace data");
            throw new SAXException(error);
        }
        if (!node.getNodeType().equals("TEXT")
                || !string.equals(node.getNodeData())) {
-           MetaCatUtil.debugMessage("Inconsistence happend: ", 40);
-           MetaCatUtil.debugMessage(
-                   "current node type from xml is WHITESPACE TEXT", 40);
-           MetaCatUtil.debugMessage("node type from stack: "
-                   + node.getNodeType(), 40);
-           MetaCatUtil.debugMessage(
-                   "current node data from xml is: " + string, 40);
-           MetaCatUtil.debugMessage("node data from stack: "
-                   + node.getNodeData(), 40);
-           MetaCatUtil.debugMessage("node is from stack: " + node.getNodeId(),
-                   40);
+           logMetacat.info("Inconsistence happend: ");
+           logMetacat.info(
+                   "current node type from xml is WHITESPACE TEXT");
+           logMetacat.info("node type from stack: "
+                   + node.getNodeType());
+           logMetacat.info(
+                   "current node data from xml is: " + string);
+           logMetacat.info("node data from stack: "
+                   + node.getNodeData());
+           logMetacat.info("node is from stack: " + node.getNodeId());
            throw new SAXException(error);
        }//if
    }
Index: src/edu/ucsb/nceas/metacat/SchemaLocationResolver.java
===================================================================
--- src/edu/ucsb/nceas/metacat/SchemaLocationResolver.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/SchemaLocationResolver.java	(revision 2663)
@@ -43,6 +43,8 @@
 import java.net.MalformedURLException;
 import java.util.Vector;
 
+import org.apache.log4j.Logger;
+
 /**
  * A database aware Class to handle schema location. If namespace is in the
  * xml_catalog table (public_id), the schema location specified in xml document
@@ -63,6 +65,8 @@
   //private String SCHEMATYPE ="Schema"; 
   private String WHITESPACESTRING =" ";                                                         
 
+  private static Logger logMetacat = Logger.getLogger(SchemaLocationResolver.class);
+
   public SchemaLocationResolver()
   {
     createNameSpaceAndLocationStringFromDB();
@@ -83,8 +87,8 @@
    */
   public String getNameSpaceAndLocationString()
   {
-    MetaCatUtil.debugMessage("namespace and location list is: " +
-                             nameSpaceAndLocationString, 30);
+    logMetacat.info("namespace and location list is: " +
+                             nameSpaceAndLocationString);
     return nameSpaceAndLocationString;
   }
   
@@ -115,8 +119,8 @@
        }
        catch(Exception e)
        {
-         MetaCatUtil.debugMessage("Error in SchemaLocation.resolveNameSpace" +
-                                  e.getMessage(), 30);
+         logMetacat.error("Error in SchemaLocation.resolveNameSpace" +
+                                  e.getMessage());
        }
  
     }//if
@@ -174,9 +178,8 @@
     } 
     catch (SQLException e) 
     {
-      MetaCatUtil.debugMessage
-                        ("schemaLocation.createNameSpaceAndLocationString: " + 
-                         e.getMessage(), 30);
+      logMetacat.error("schemaLocation.createNameSpaceAndLocationString: " + 
+                         e.getMessage());
     }
     finally
     {
@@ -186,8 +189,8 @@
       }//try
       catch (SQLException sqlE)
       {
-        MetaCatUtil.debugMessage("Error in schema.createNameSpaceAndLocation "
-                                    + sqlE.getMessage(), 30);
+        logMetacat.error("Error in schema.createNameSpaceAndLocation "
+                                    + sqlE.getMessage());
       }//catch
       DBConnectionPool.returnDBConnection(conn, serialNumber);
     }//finally
@@ -229,9 +232,8 @@
     } 
     catch (SQLException e) 
     {
-      MetaCatUtil.debugMessage
-                        ("schemaLocation.createNameSpaceList: " + 
-                         e.getMessage(), 30);
+      logMetacat.error("schemaLocation.createNameSpaceList: " + 
+                         e.getMessage());
     }
     finally
     {
@@ -241,8 +243,8 @@
       }//try
       catch (SQLException sqlE)
       {
-        MetaCatUtil.debugMessage("Error in schemaLocation.createNameSpaceList: "
-                                    +sqlE.getMessage(), 30);
+        logMetacat.error("Error in schemaLocation.createNameSpaceList: "
+                                    +sqlE.getMessage());
       }//catch
       DBConnectionPool.returnDBConnection(conn, serialNumber);
     }//finally
@@ -322,8 +324,8 @@
       throw new Exception
       ("shemaLocationResolver.uploadSchemaFromURL(): " + e.getMessage());
     } 
-    MetaCatUtil.debugMessage("new schema location is: " + schemaURL + 
-                              filename, 20);
+    logMetacat.warn("new schema location is: " + schemaURL + 
+                              filename);
     return  schemaURL + filename;
   }
 
@@ -364,8 +366,7 @@
     } 
     catch (SQLException e) 
     {
-      MetaCatUtil.debugMessage
-      ("SchemaLocation.egisterSchema(): " + e.getMessage(), 30);
+      logMetacat.error("SchemaLocation.egisterSchema(): " + e.getMessage());
     }
     finally
     {
@@ -375,8 +376,8 @@
       }//try
       catch (SQLException sqlE)
       {
-        MetaCatUtil.debugMessage("Error in SchemaLocation.egisterSchema(): "
-                                    +sqlE.getMessage(), 30);
+        logMetacat.error("Error in SchemaLocation.egisterSchema(): "
+                                    +sqlE.getMessage());
       }//catch
       DBConnectionPool.returnDBConnection(conn, serialNumber);
     }//finally
@@ -403,8 +404,8 @@
       // after white sapce is schema location
       schemaLocation = nameSpaceAndLocation.substring(indexOfWhiteSpace+1);
       // Gebug message
-      MetaCatUtil.debugMessage("Namespace after parsing: " + nameSpace, 30);
-      MetaCatUtil.debugMessage("Location after parsing: " + schemaLocation, 30);
+      logMetacat.info("Namespace after parsing: " + nameSpace);
+      logMetacat.info("Location after parsing: " + schemaLocation);
     } 
   }
   
@@ -415,8 +416,8 @@
        DBConnectionPool pool = DBConnectionPool.getInstance();
        // Print out a empty schema list
        SchemaLocationResolver schema = new SchemaLocationResolver();
-       MetaCatUtil.debugMessage("Namespace and Location String: "+ 
-                                schema.getNameSpaceAndLocationString(), 20);
+       logMetacat.warn("Namespace and Location String: "+ 
+                                schema.getNameSpaceAndLocationString());
        // input a schemalocation
        SchemaLocationResolver schema2 = new SchemaLocationResolver(
                                         "eml://ecoinformatics.org/eml-2.0.0 " +
@@ -429,13 +430,13 @@
        schema3.resolveNameSpace();
        // print out new schema list in db
        SchemaLocationResolver schema4 = new SchemaLocationResolver();
-       MetaCatUtil.debugMessage("Namespace and Location String: "+ 
-                                schema4.getNameSpaceAndLocationString(), 20);
+       logMetacat.warn("Namespace and Location String: "+ 
+                                schema4.getNameSpaceAndLocationString());
      }
      catch(Exception e)
      {
-       MetaCatUtil.debugMessage("erorr in Schemalocation.main: " + 
-                                e.getMessage(), 30);
+       logMetacat.error("erorr in Schemalocation.main: " + 
+                                e.getMessage());
      }
   }
 }
Index: src/edu/ucsb/nceas/metacat/RemoteDocument.java
===================================================================
--- src/edu/ucsb/nceas/metacat/RemoteDocument.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/RemoteDocument.java	(revision 2663)
@@ -29,6 +29,9 @@
 
 import edu.ucsb.nceas.utilities.HttpMessage;
 import javax.servlet.ServletOutputStream;
+
+import org.apache.log4j.Logger;
+
 import java.io.*;
 import java.net.*;
 import java.util.*;
@@ -55,7 +58,7 @@
   private String passWord = null; // The user's passwd
   private String zipEntry = null; // For zip entry
   private String revisionAndDocType; // String to store this info
-
+  private Logger logMetacat = Logger.getLogger(RemoteDocument.class);
   
   /**
    * Constructor of RemoteDcoument
@@ -226,7 +229,7 @@
     String subString = replicationDocHomeServer.substring(0, index);
     // Add https at head and append metacat 
     metacatURL = "https://" + subString +"metacat";
-    MetaCatUtil.debugMessage("metacatURL: "+metacatURL, 30);
+    logMetacat.info("metacatURL: "+metacatURL);
     
     return metacatURL;
     
@@ -292,7 +295,7 @@
     // User specified docid (including revision number
     String specifiedDocId = docIdWithoutRevision + 
                 MetaCatUtil.getOption("accNumSeparator") +revision;
-    MetaCatUtil.debugMessage("The requried docid is: "+ specifiedDocId, 30);
+    logMetacat.info("The requried docid is: "+ specifiedDocId);
     
     // At first login to remote metacat server. 
     logIn(userName, passWord);
@@ -363,7 +366,7 @@
     // User specified docid (including revision number
     String specifiedDocId = docIdWithoutRevision + 
                 MetaCatUtil.getOption("accNumSeparator") +revision;
-    MetaCatUtil.debugMessage("The requried docid is: "+ specifiedDocId, 30);
+    logMetacat.info("The requried docid is: "+ specifiedDocId);
     
     // At first login to remote metacat server.
     logIn(userName, passWord);
@@ -435,7 +438,7 @@
 
     // Now contact metacat and login.
     String response = getMetacatString(prop);
-    MetaCatUtil.debugMessage("Login Message: "+response, 30);
+    logMetacat.info("Login Message: "+response);
   }//login
   
   /**
@@ -449,7 +452,7 @@
     prop.put("qformat", "xml");
     // Send it to remote metacat
     String response = getMetacatString(prop);
-    MetaCatUtil.debugMessage("Logout Message: "+response, 55);
+    logMetacat.debug("Logout Message: "+response);
     // Set cookie to null
     HttpMessage.setCookie(null);
      
@@ -487,8 +490,8 @@
     }
     catch(Exception e)
     {
-      MetaCatUtil.debugMessage("Error in RemoteDocument.getMetacatString: "+
-                               e.getMessage(), 30);
+      logMetacat.error("Error in RemoteDocument.getMetacatString: "+
+                               e.getMessage());
       // If there is some exception return null
       return null;
     }
Index: src/edu/ucsb/nceas/metacat/SubTree.java
===================================================================
--- src/edu/ucsb/nceas/metacat/SubTree.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/SubTree.java	(revision 2663)
@@ -34,6 +34,7 @@
 import java.sql.SQLException;
 import java.sql.ResultSet;
 
+import org.apache.log4j.Logger;
 import org.xml.sax.SAXException;
 
 /**
@@ -47,6 +48,8 @@
   protected long   startNodeId = -1;
   protected long   endNodeId =   -1;
   private Stack  subTreeNodeStack = null;
+  
+  private static Logger logMetacat = Logger.getLogger(SubTree.class);
 
     /**
      * Defualt constructor
@@ -63,13 +66,13 @@
                   long myStartNodeId, long myEndNodeId)
     {
       this.docId = myDocId;
-      MetaCatUtil.debugMessage("Docid of Subtree: " + docId, 30);
+      logMetacat.info("Docid of Subtree: " + docId);
       this.subTreeId = mySubTreeId;
-      MetaCatUtil.debugMessage("id of Subtree: " + subTreeId, 30);
+      logMetacat.info("id of Subtree: " + subTreeId);
       this.startNodeId = myStartNodeId;
-      MetaCatUtil.debugMessage("start node id of Subtree: " + startNodeId, 30);
+      logMetacat.info("start node id of Subtree: " + startNodeId);
       this.endNodeId = myEndNodeId;
-      MetaCatUtil.debugMessage("end node id of subtree: " + endNodeId, 30);
+      logMetacat.info("end node id of subtree: " + endNodeId);
 
     }
 
@@ -100,7 +103,7 @@
     /** Set the a docId */
     public void setDocId(String myId)
     {
-      MetaCatUtil.debugMessage("set doc id: "+myId, 35);
+      logMetacat.info("set doc id: "+myId);
       this.docId = myId;
     }
 
@@ -114,7 +117,7 @@
     /** Set the a subtreeId */
     public void setSubTreeId(String myId)
     {
-      MetaCatUtil.debugMessage("set sub tree id: "+myId, 35);
+      logMetacat.info("set sub tree id: "+myId);
       this.subTreeId = myId;
     }
 
@@ -129,7 +132,7 @@
      */
     public void setStartElementName(String elementName)
     {
-      MetaCatUtil.debugMessage("set start elementname: "+elementName, 35);
+      logMetacat.info("set start elementname: "+elementName);
       this.startElementName = elementName;
     }
 
@@ -144,7 +147,7 @@
     /** Set a start node id */
     public void setStartNodeId(long nodeId)
     {
-      MetaCatUtil.debugMessage("set start node id: "+nodeId, 35);
+      logMetacat.info("set start node id: "+nodeId);
       this.startNodeId = nodeId;
     }
 
@@ -157,7 +160,7 @@
     /** Set a end node id */
     public void setEndNodeId(long nodeId)
     {
-      MetaCatUtil.debugMessage("set end node id: "+nodeId, 35);
+      logMetacat.info("set end node id: "+nodeId);
       this.endNodeId = nodeId;
     }
 
@@ -241,8 +244,8 @@
         }
         catch (SQLException ee)
         {
-          MetaCatUtil.debugMessage("error in SubTree.getSubTreeNodeList 2: "
-                                    +ee.getMessage(), 30);
+          logMetacat.error("error in SubTree.getSubTreeNodeList 2: "
+                                    +ee.getMessage());
         }
         finally
         {
Index: src/edu/ucsb/nceas/metacat/AssociateAccessPolicy.java
===================================================================
--- src/edu/ucsb/nceas/metacat/AssociateAccessPolicy.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/AssociateAccessPolicy.java	(revision 2663)
@@ -48,7 +48,9 @@
 import java.util.Enumeration;
 import java.io.BufferedWriter;
 
+import org.apache.log4j.Logger;
 
+
 /**This class is in order to fix a problem. It doesn't has functionality for 
  *Metacat. 
  *In Currently, some document in xml_document table doesn't have entries in 
@@ -69,7 +71,8 @@
   private Vector itsDataSetIdWithouAccessEntry=null;
   private Hashtable docIdMapDataSetId=null;
   private MetaCatUtil util=null;
- 
+  private Logger logMetacat = Logger.getLogger(AssociateAccessPolicy.class);
+  
   /**
    * the main routine used to associate access policy
    */
@@ -199,7 +202,7 @@
     }//try
     catch (SQLException e)
     {
-    	MetaCatUtil.logMetacat.info("Error in getDocidListForDataPackage: "
+    	logMetacat.error("Error in getDocidListForDataPackage: "
                             +e.getMessage());
     }//catch
     //System.out.println("docid in access table");
@@ -285,7 +288,7 @@
     catch (SQLException e)
     {
       pStmt.close();
-      MetaCatUtil.logMetacat.info("Error in getDocidListForDataPackage: "
+      logMetacat.error("Error in getDocidListForDataPackage: "
                             +e.getMessage());
     }//catch
     //System.out.println("docid without access entry:");
@@ -481,7 +484,7 @@
         {
           pStmt.close();
           insertStatement.close();
-          MetaCatUtil.logMetacat.info("Error in getDocidListForDataPackadge: "
+          logMetacat.error("Error in getDocidListForDataPackadge: "
                             +e.getMessage());
         }//catch
         
Index: src/edu/ucsb/nceas/metacat/EventLog.java
===================================================================
--- src/edu/ucsb/nceas/metacat/EventLog.java	(revision 2662)
+++ src/edu/ucsb/nceas/metacat/EventLog.java	(revision 2663)
@@ -29,6 +29,8 @@
 import java.sql.Timestamp;
 import java.util.Date;
 
+import org.apache.log4j.Logger;
+
 /**
  * EventLog is used to intialize and store a log of events that occur in an
  * application. The events are registered with the logger as they occur, but
@@ -57,6 +59,7 @@
      * The single instance of the event log that is always returned.
      */
     private static EventLog self = null;
+    private Logger logMetacat = Logger.getLogger(EventLog.class);
 
     /**
      * A private constructor that initializes the class when getInstance() is
@@ -128,8 +131,8 @@
             stmt.executeUpdate();
             stmt.close();
         } catch (SQLException e) {
-            MetaCatUtil.debugMessage("Error while logging event to database: " 
-                    + e.getMessage(), 5);
+        	logMetacat.error("Error while logging event to database: " 
+                    + e.getMessage());
         } finally {
             // Return database connection to the pool
             DBConnectionPool.returnDBConnection(dbConn, serialNumber);
@@ -230,8 +233,8 @@
             resultDoc.append("</log>");
             stmt.close();
         } catch (SQLException e) {
-            MetaCatUtil.debugMessage("Error while logging event to database: "
-                            + e.getMessage(), 5);
+        	logMetacat.info("Error while logging event to database: "
+                            + e.getMessage());
         } finally {
             // Return database connection to the pool
             DBConnectionPool.returnDBConnection(dbConn, serialNumber);
